[Unit]
Description=Lock the screen automatically after a timeout.

[Service]
Type=simple
#User=lanxu
#Group=users
Environment=DISPLAY=:0
ExecStart=/usr/bin/xidlehook --not-when-fullscreen --not-when-audio --timer 60 'notify-send -u low "Locking in 15 seconds..."' '' --timer 15 'i3lock -B sigma -k' '' --timer 60 'xset dpms force off' 'xset dpms force on'
Restart=always
RestartSec=60
[Install]
WantedBy=graphical.target
